Patchwork [1/1] prelink: Uprev prelink to latest version

login
register
mail settings
Submitter Mark Hatle
Date June 24, 2011, 7:10 p.m.
Message ID <149d6209aca5fcc3eb708b81e9d0f28bf3706763.1308942534.git.mark.hatle@windriver.com>
Download mbox | patch
Permalink /patch/6495/
State New, archived
Headers show

Comments

Mark Hatle - June 24, 2011, 7:10 p.m.
The latest cross-prelink version tracks the prelink r190 SVN.

Fix two minor issues as well.  If we remove the package, we would
unprelink the filesystem after the rm was finished.  This is
incorrect.. we need to do this prerm.

Also disable the cron configuration file.  This isn't appropriate
for embedded systems, but someone might still find it useful.

Signed-off-by: Mark Hatle <mark.hatle@windriver.com>
---
 meta/recipes-devtools/prelink/prelink_git.bb |   18 +++++++++++++-----
 1 files changed, 13 insertions(+), 5 deletions(-)
Koen Kooi - June 24, 2011, 7:18 p.m.
Op 24 jun 2011, om 21:10 heeft Mark Hatle het volgende geschreven:

> The latest cross-prelink version tracks the prelink r190 SVN.
> 
> Fix two minor issues as well.  If we remove the package, we would
> unprelink the filesystem after the rm was finished.  This is
> incorrect.. we need to do this prerm.
> 
> Also disable the cron configuration file.  This isn't appropriate
> for embedded systems, but someone might still find it useful.
> 
> Signed-off-by: Mark Hatle <mark.hatle@windriver.com>
> ---
> meta/recipes-devtools/prelink/prelink_git.bb |   18 +++++++++++++-----
> 1 files changed, 13 insertions(+), 5 deletions(-)
> 
> diff --git a/meta/recipes-devtools/prelink/prelink_git.bb b/meta/recipes-devtools/prelink/prelink_git.bb
> index 1eea30a..044cb6b 100644
> --- a/meta/recipes-devtools/prelink/prelink_git.bb
> +++ b/meta/recipes-devtools/prelink/prelink_git.bb
> @@ -8,9 +8,9 @@ and executables, so that far fewer relocations need to be resolved at \
> runtime and thus programs come up faster."
> LICENSE = "GPLv2"
> LIC_FILES_CHKSUM = "file://COPYING;md5=c93c0550bd3173f4504b2cbd8991e50b"
> -SRCREV = "909470ee441237563d6236c505cb2d02ddc48704"
> +SRCREV = "ac461e73b17253a4da25c5aafeac7193b553156c"
> PV = "1.0+git${SRCPV}"
> -PR = "r2"
> +PR = "r3"
> 
> SRC_URI = "git://git.yoctoproject.org/prelink-cross.git;protocol=git \
>            file://prelink.conf \
> @@ -35,11 +35,15 @@ do_configure_prepend () {
>         echo "all:" > ${S}/doc/Makefile.am
> }
> 
> +# Disabled the cron and cron configuration file, isn't appropriate for
> +# embedded systems.  (The script re-prelinks the system daily -- on
> +# systems where users are adding applications, this might be reasonable
> +# but for embedded, we should be re-running prelink -a after an update.)
> do_install_append () {
> 	install -d ${D}${sysconfdir}/cron.daily ${D}${sysconfdir}/default ${D}${sysconfdir}/rpm
> 	install -m 0644 ${WORKDIR}/prelink.conf ${D}${sysconfdir}/prelink.conf
> -	install -m 0644 ${WORKDIR}/prelink.cron.daily ${D}${sysconfdir}/cron.daily/prelink
> -	install -m 0644 ${WORKDIR}/prelink.default ${D}${sysconfdir}/default/prelink
> +#	install -m 0644 ${WORKDIR}/prelink.cron.daily ${D}${sysconfdir}/cron.daily/prelink
> +#	install -m 0644 ${WORKDIR}/prelink.default ${D}${sysconfdir}/default/prelink
> 	install -m 0644 ${WORKDIR}/macros.prelink ${D}${sysconfdir}/rpm/macros.prelink

How about PACKAGES += prelink-cron, FILES_prelink-cron = "{sysconfdir}/cron.dailly" ,etc ,etc ?
Mark Hatle - June 24, 2011, 7:22 p.m.
On 6/24/11 2:18 PM, Koen Kooi wrote:
> 
> Op 24 jun 2011, om 21:10 heeft Mark Hatle het volgende geschreven:
> 
>> The latest cross-prelink version tracks the prelink r190 SVN.
>>
>> Fix two minor issues as well.  If we remove the package, we would
>> unprelink the filesystem after the rm was finished.  This is
>> incorrect.. we need to do this prerm.
>>
>> Also disable the cron configuration file.  This isn't appropriate
>> for embedded systems, but someone might still find it useful.
>>
>> Signed-off-by: Mark Hatle <mark.hatle@windriver.com>
>> ---
>> meta/recipes-devtools/prelink/prelink_git.bb |   18 +++++++++++++-----
>> 1 files changed, 13 insertions(+), 5 deletions(-)
>>
>> diff --git a/meta/recipes-devtools/prelink/prelink_git.bb b/meta/recipes-devtools/prelink/prelink_git.bb
>> index 1eea30a..044cb6b 100644
>> --- a/meta/recipes-devtools/prelink/prelink_git.bb
>> +++ b/meta/recipes-devtools/prelink/prelink_git.bb
>> @@ -8,9 +8,9 @@ and executables, so that far fewer relocations need to be resolved at \
>> runtime and thus programs come up faster."
>> LICENSE = "GPLv2"
>> LIC_FILES_CHKSUM = "file://COPYING;md5=c93c0550bd3173f4504b2cbd8991e50b"
>> -SRCREV = "909470ee441237563d6236c505cb2d02ddc48704"
>> +SRCREV = "ac461e73b17253a4da25c5aafeac7193b553156c"
>> PV = "1.0+git${SRCPV}"
>> -PR = "r2"
>> +PR = "r3"
>>
>> SRC_URI = "git://git.yoctoproject.org/prelink-cross.git;protocol=git \
>>            file://prelink.conf \
>> @@ -35,11 +35,15 @@ do_configure_prepend () {
>>         echo "all:" > ${S}/doc/Makefile.am
>> }
>>
>> +# Disabled the cron and cron configuration file, isn't appropriate for
>> +# embedded systems.  (The script re-prelinks the system daily -- on
>> +# systems where users are adding applications, this might be reasonable
>> +# but for embedded, we should be re-running prelink -a after an update.)
>> do_install_append () {
>> 	install -d ${D}${sysconfdir}/cron.daily ${D}${sysconfdir}/default ${D}${sysconfdir}/rpm
>> 	install -m 0644 ${WORKDIR}/prelink.conf ${D}${sysconfdir}/prelink.conf
>> -	install -m 0644 ${WORKDIR}/prelink.cron.daily ${D}${sysconfdir}/cron.daily/prelink
>> -	install -m 0644 ${WORKDIR}/prelink.default ${D}${sysconfdir}/default/prelink
>> +#	install -m 0644 ${WORKDIR}/prelink.cron.daily ${D}${sysconfdir}/cron.daily/prelink
>> +#	install -m 0644 ${WORKDIR}/prelink.default ${D}${sysconfdir}/default/prelink
>> 	install -m 0644 ${WORKDIR}/macros.prelink ${D}${sysconfdir}/rpm/macros.prelink
> 
> How about PACKAGES += prelink-cron, FILES_prelink-cron = "{sysconfdir}/cron.dailly" ,etc ,etc ?

I thought about that, but I'm still not sure the stuff is useful.. The default
configuration actually disables prelink and on the next run of cron will
un-prelink your system.

So it's really not useful from what I can tell.  Of course we could easily
change the default to "on" instead of off...  or change the prelink.bbclass to
enable the cron prelink script if it exists....  but as it stands it looks more
broken then useful.

--Mark

Patch

diff --git a/meta/recipes-devtools/prelink/prelink_git.bb b/meta/recipes-devtools/prelink/prelink_git.bb
index 1eea30a..044cb6b 100644
--- a/meta/recipes-devtools/prelink/prelink_git.bb
+++ b/meta/recipes-devtools/prelink/prelink_git.bb
@@ -8,9 +8,9 @@  and executables, so that far fewer relocations need to be resolved at \
 runtime and thus programs come up faster."
 LICENSE = "GPLv2"
 LIC_FILES_CHKSUM = "file://COPYING;md5=c93c0550bd3173f4504b2cbd8991e50b"
-SRCREV = "909470ee441237563d6236c505cb2d02ddc48704"
+SRCREV = "ac461e73b17253a4da25c5aafeac7193b553156c"
 PV = "1.0+git${SRCPV}"
-PR = "r2"
+PR = "r3"
 
 SRC_URI = "git://git.yoctoproject.org/prelink-cross.git;protocol=git \
            file://prelink.conf \
@@ -35,11 +35,15 @@  do_configure_prepend () {
         echo "all:" > ${S}/doc/Makefile.am
 }
 
+# Disabled the cron and cron configuration file, isn't appropriate for
+# embedded systems.  (The script re-prelinks the system daily -- on
+# systems where users are adding applications, this might be reasonable
+# but for embedded, we should be re-running prelink -a after an update.)
 do_install_append () {
 	install -d ${D}${sysconfdir}/cron.daily ${D}${sysconfdir}/default ${D}${sysconfdir}/rpm
 	install -m 0644 ${WORKDIR}/prelink.conf ${D}${sysconfdir}/prelink.conf
-	install -m 0644 ${WORKDIR}/prelink.cron.daily ${D}${sysconfdir}/cron.daily/prelink
-	install -m 0644 ${WORKDIR}/prelink.default ${D}${sysconfdir}/default/prelink
+#	install -m 0644 ${WORKDIR}/prelink.cron.daily ${D}${sysconfdir}/cron.daily/prelink
+#	install -m 0644 ${WORKDIR}/prelink.default ${D}${sysconfdir}/default/prelink
 	install -m 0644 ${WORKDIR}/macros.prelink ${D}${sysconfdir}/rpm/macros.prelink
 }
 
@@ -53,9 +57,13 @@  fi
 prelink -a
 }
 
-pkg_postrm_prelink() {
+pkg_prerm_prelink() {
 #!/bin/sh
 
+if [ "x$D" != "x" ]; then
+  exit 1
+fi
+
 prelink -au
 }